/*!
 * TwistPHP - An open source PHP MVC framework built from the ground up.
 * Copyright (C) 2016  Shadow Technologies Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Shadow Technologies Ltd. <contact@shadow-technologies.co.uk>
 * @license    https://www.gnu.org/licenses/gpl.html GPL License
 * @link       https://twistphp.com
 * 
 * --------------
 * TwistPHP Debug
 * --------------
 */
!function(t,e,r){var o=!1,a=[],i=function(){if(t.console&&t.console.log&&arguments.length)for(var e in arguments)t.console.log(arguments[e])},n=function(){if(t.console&&arguments.length)for(var e in arguments)t.console.info?t.console.info(arguments[e]):i("INFO: ",arguments[e])},s=function(){if(t.console&&arguments.length)for(var e in arguments)t.console.warn?t.console.warn(arguments[e]):i("WARNING: ",arguments[e])},d=function(){if(t.console&&arguments.length)for(var e in arguments)t.console.error?t.console.error(arguments[e]):i("ERROR: ",arguments[e])},l=function(e){var r=!0===e?t.jQuery.noConflict(!0):t.jQuery,o=r("#twist-debug-blocks"),i=r("#twist-debug-details"),s=function(t){var e=0;for(var r in t)t.hasOwnProperty(r)&&e++;return e},d=function(t,e,o,a,i,n,s){if(o){var d=o||"",l="",u="";if("object"==typeof o&&(d="<pre>"+JSON.stringify(o,void 0,2)+"</pre>"),"object"==typeof a)for(var c in a){var f=c.charAt(0).toUpperCase()+c.slice(1).replace("_"," "),g="object"==typeof a[c]?"<pre>"+JSON.stringify(a[c],void 0,2)+"</pre>":a[c];u+="<dt>"+f+"</dt><dd>"+g+"</dd>"}void 0!==i?""!==i&&(l=void 0!==n&&""!==n?void 0!==s&&""!==s?i+", line "+n+", column "+s:i+", line "+n:i):l="JavaScript ["+(new Date).getTime()+"]";var p=r('<div class="twist-debug-box-'+e+'" data-title="'+l+'"/>').html(d);return""!==u&&p.append('<div class="twist-debug-more-details"><dl>'+u+'</dl></div><a href="#twist-debug-more-details" class="twist-debug-more-details">&ctdot;</a>'),r(t).append(p),!0}return!1};this.error=function(t,e,o,a){var i={type:typeof t,length:"object"==typeof t?s(t):t.length};if(d("#twist-debug-messages-list","red","<p>"+t+"</p>",i,e,o,a)){var n=r("#twist-debug-errors");n.attr("data-count",parseInt(n.attr("data-count"))+1)}},this.warn=function(t,e,o,a){var i={type:typeof t,length:"object"==typeof t?s(t):t.length};if(d("#twist-debug-messages-list","yellow","<p>"+t+"</p>",i,e,o,a)){var n=r("#twist-debug-warnings");n.attr("data-count",parseInt(n.attr("data-count"))+1)}},this.log=function(t,e,o,a){var i={type:typeof t,length:"object"==typeof t?s(t):t.length};if(d("#twist-debug-messages-list","blue","<p>"+t+"</p>",i,e,o,a)){var n=r("#twist-debug-dumps");n.attr("data-count",parseInt(n.attr("data-count"))+1)}},this.logAJAX=function(t,e,o){var a={type:o.type,URL:o.url,timeout:o.timeout,cache:o.cache,request_data:o.data};if(d("#twist-debug-ajax-list",t?"green":"red",e,a,o.type+" "+o.url)){var i=r("#twist-debug-ajax-count");i.attr("data-count",parseInt(i.attr("data-count"))+1)}},this.logFileUpload=function(t,e){var o=e.support&&e.support["thumb-128"]?e.support["thumb-128"]:e.uri_preview,a="<pre>"+JSON.stringify(e,void 0,2)+'</pre><div class="twist-debug-fileupload-preview"><img src="'+o+'"></div>';if(d("#twist-debug-fileupload-list","green",a,t,t.name)){var i=r("#twist-debug-fileupload-count");i.attr("data-count",parseInt(i.attr("data-count"))+1)}};for(var l in a){var u=a[l];logError(u.title,u.message,u.url,u.line,u.column,u.error)}return r('.twist-debug-box, [class^="twist-debug-box-"], [class*=" twist-debug-box-"]').has(".twist-debug-more-details").each(function(){r(this).find(".twist-debug-more-details").after('<a href="#twist-debug-more-details" class="twist-debug-more-details">&ctdot;</a>')}),o.on("click","a",function(t){t.preventDefault();var e=r(this);if(e.hasClass("current"))i.removeClass("show"),e.removeClass("current");else{var a=e.attr("href");i.addClass("show").children("div").hide().filter(a).show(),o.find("a.current").removeClass("current"),e.addClass("current")}}),r("#close-twist-debug-details").on("click",function(t){t.preventDefault(),o.find("a.current").removeClass("current"),i.removeClass("show")}),i.on("click",'a[href="#twist-debug-more-details"]',function(t){t.preventDefault(),r(this).prev(".twist-debug-more-details").slideToggle()}),r("#twist-debug-details").find("table").wrap('<div class="table-wrapper"/>'),r("#twist-debug").addClass("ready"),n("TwistPHP Debug is now loaded with jQuery v."+r.fn.jquery),this};t.onerror=function(t,e,r,o,i){var n={message:"<strong>JS Error:</strong> "+t,url:e,line:r,column:o,error:i};return a.push(n),!0},void 0===t.jQuery?(o="function"==typeof t.$,function(t,r){var o=e.createElement("script"),a=e.getElementsByTagName("head")[0],i=!1;r="function"==typeof r?r:function(){},o.src=t,o.onload=o.onreadystatechange=function(){if(!(i||this.readyState&&"loaded"!==this.readyState&&"complete"!==this.readyState)){i=!0;try{r()}catch(t){console.error(t)}o.onload=o.onreadystatechange=null,a.removeChild(o)}},a.appendChild(o)}("http"+("https:"===location.protocol?"s":"")+"://code.jquery.com/jquery-1.12.0.min.js",function(){void 0===t.jQuery?d("This is embarrassing... jQuery couldn't be loaded"):o?(s("Another JS library controls $"),t.twistdebug=new l(!0)):t.twistdebug=new l(!1)})):t.twistdebug=new l(!1)}(window,document);