/*!
 * TwistPHP - An open source PHP MVC framework built from the ground up.
 * Copyright (C) 2016  Shadow Technologies Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Shadow Technologies Ltd. <contact@shadow-technologies.co.uk>
 * @license    https://www.gnu.org/licenses/gpl.html GPL License
 * @link       https://twistphp.com
 */
!function(e,t){"function"==typeof define&&define.amd?define("twistfileupload",[],t):"object"==typeof module&&module.exports?module.exports=t():e.twistfileupload=t()}(this,function(){/**
			 * The file uploader for TwistPHP
			 * @param {string} strInputID The ID of the input element
			 * @param {string} strUri The URI to post files to
			 * @param {Object} objSettings Settings
			 * @param {boolean} [objSettings.abortable=true] If true, allow the uploads to be aborted
			 * @param {boolean} [objSettings.counter=true] If true, show a counter for the files
			 * @param {boolean} [objSettings.debug=false] If true, show console output
			 * @param {string} [objSettings.dragdrop=null] The ID of the element which can act as a drop area
			 * @param {string} [objSettings.dropableclass='twistupload-dropable'] The class to add to the drop area when items can be dropped on it
			 * @param {string} [objSettings.hoverclass='twistupload-hover'] The class to add to the drop area when items are dragged over it
			 * @param {string} [objSettings.invalidtypemessage='This file type is not permitted'] The error message to show when an invalid file type is selected
			 * @param {function} [objSettings.onabort=function() {}] A function to execute when the upload is aborted
			 * @param {function} [objSettings.onclear=function() {}] A function to execute when the queue is cleared
			 * @param {function} [objSettings.oncompletefile=function() {}] A function to execute when a file is finished uploading
			 * @param {function} [objSettings.oncompletequeue=function() {}] A function to execute when the queue is finished uploading
			 * @param {function} [objSettings.onerror=function() {}] A function to execute when an error occurs
			 * @param {function} [objSettings.oninvalidtype=function() {}] A function to execute when an invalid type is selected
			 * @param {function} [objSettings.onprogress=function() {}] A function to execute as the queue is uploading
			 * @param {function} [objSettings.onstart=function() {}] A function to execute when the upload starts
			 * @param {number} [objSettings.previewsize=128] The size of the thumbnail to display
			 * @param {boolean} [objSettings.previewsquare=true] If true, use square thumbnails
			 * @returns {boolean|null}
			 * @alias twistfileupload
			 * @constructor
			 * @author Shadow Technologies Ltd. <contact@shadow-technologies.co.uk>
			 * @version 1.0.0
			 * @license GPL-3.0
			 */
var e=function(e,t,o){var n=!0,s=function(e,t,o){(n||!0===o)&&window.console&&(window.console[t]?window.console[t](e):window.console.log&&console.log(e))},u=function(e,t){return-1!==e.className.indexOf(t)},r=function(e,t){u(e,t)||(e.className+=" "+t)},i=function(e,t){u(e,t)&&(e.className=e.className.replace(new RegExp("^"+t+"$","g"),"").replace(new RegExp("^"+t+" ","g"),"").replace(new RegExp(" "+t+"$","g"),"").replace(new RegExp(" "+t+" ","g")," "))},a=function(e){for(var t=["B","kB","MB","GB","TB","PB","EB","ZB","YB"],o=0;t[o]&&e>Math.pow(1024,o+1);)o++;return l(e/Math.pow(1024,o),o>1?2:0)+t[o]},l=function(e,t){return t="number"!=typeof t?0:t,0===t?parseInt(Math.round(e*Math.pow(10,t))/Math.pow(10,t)):parseFloat(Math.round(e*Math.pow(10,t))/Math.pow(10,t))},d="string"==typeof(new XMLHttpRequest).responseType&&"withCredentials"in new XMLHttpRequest;if(d){var p=new XMLHttpRequest;p.open("GET","/");try{p.responseType="arraybuffer"}catch(e){d=!1}}var c=this;this.acceptExtentions=[],this.acceptRaw=[],this.acceptTypes=[],this.addRemoveFileListener=function(){var t=function(e){return function(){console.log("Remove"),c.removeFileFromListFunction(e)}};for(var o in c.uploaded){var n=document.getElementById(e+"-remove-"+o);n.removeEventListener("click",t(o)),n.addEventListener("click",t(o))}},this.created=(new Date).getTime(),this.cancelUpload=function(){c.request.abort()},this.clearInput=function(){c.domInput.value="",c.domInput.value&&(c.domInput.type="text",c.domInput.type="file"),c.domPseudo.value="",c.settings.onclear()},this.domCancelUpload=document.getElementById(e+"-cancel"),this.domCancelUploadDisplay=null,this.domCount=document.getElementById(e+"-count"),this.domCountWrapper=document.getElementById(e+"-count-wrapper"),this.domCountWrapperDisplay=null,this.domCountTotal=document.getElementById(e+"-total"),this.domInput=document.getElementById(e),this.domInputDisplay=null,this.domList=document.getElementById(e+"-list"),this.domProgress=document.getElementById(e+"-progress"),this.domProgressWrapper=document.getElementById(e+"-progress-wrapper"),this.domPseudo=document.getElementById(e+"-pseudo"),this.hideProgress=function(){c.domInput&&(c.domInput.style.display=c.domInputDisplay),c.domProgressWrapper&&(c.domProgressWrapper.style.display="none"),c.domCancelUpload&&c.domCancelUpload.removeEventListener("click",c.cancelUpload)},this.multiple=c.domInput&&c.domInput.hasAttribute("multiple")||!1,this.queue=[],this.queueCount=0,this.queueSize=0,this.queueUploadedCount=0,this.queueUploadedSize=0,this.removeFileFromListFunction=function(e){c.uploaded.splice(e,1),c.updateUploadedList()},this.request=new XMLHttpRequest,this.settings={abortable:!0,counter:!0,debug:!1,dragdrop:null,dropableclass:"twistupload-dropable",hoverclass:"twistupload-hover",invalidtypemessage:"This file type is not permitted",onabort:function(){},onclear:function(){},oncompletefile:function(){},oncompletequeue:function(){},onerror:function(){},oninvalidtype:function(){},onprogress:function(){},onstart:function(){},previewsize:128,previewsquare:!0},this.showProgress=function(){c.domInput.style.display="none",c.domProgressWrapper&&(c.domProgressWrapper.style.display=c.domInputDisplay),c.domCancelUpload&&c.domCancelUpload.addEventListener("click",c.cancelUpload)},this.supported=!1,this.uid=e,this.updateUploadedList=function(){var t="",o=[];for(var n in c.uploaded){var s=c.uploaded[n],u=s.uri_preview,r="",i=["file/name","file/size","file_type"];o.push(s.form_value);var a="thumb-"+c.settings.previewsize;c.settings.previewsquare&&(a="square-"+a),s.support&&s.support[a]&&(u=s.support[a]);for(var l in i){var d,p=i[l];if(-1!==p.indexOf("/")){var m=p.split("/"),g=s[m[0]]||null;if(m.shift(),g){for(var f in m)g=g[m[f]]||null;d=g||null}}else d=s[p]||null;r+='<li data-key="'+p+'"><span>'+p.replace(/[\/_]/g," ")+" :</span>"+d+"</li>"}t+='<li class="twistupload-file-list-item"><img src="'+u+'"><ul class="twistupload-file-info">'+r+'</ul><button id="'+e+"-remove-"+n+'" data-file="'+n+'">Remove</button></li>'}c.domPseudo.value=o.join(","),c.domList.innerHTML=t,c.addRemoveFileListener()},this.upload=function(e,t){try{if(e){var o=t||(e.target||e.srcElement).files;c.queue.push.apply(c.queue,o),c.queueCount+=o.length;for(var n=0,u=o.length;n<u;n++)c.queueSize+=parseInt(o[n].size);c.domCountTotal&&(c.domCountTotal.innerText=c.queueCount),s("Added "+o.length+" files to the queue","info")}if(null===c.domCancelUploadDisplay&&(c.domCancelUploadDisplay=c.domCancelUpload.style.display||"inline-block"),null===c.domCountWrapperDisplay&&(c.domCountWrapperDisplay=c.domCountWrapper.style.display||"inline-block"),null===c.domInputDisplay&&(c.domInputDisplay=c.domInput.style.display||"inline-block"),c.queue.length){var r=c.queue[0],i=r.name,l=r.type,d=i.substr(i.lastIndexOf(".")+1).toLowerCase(),p=parseInt(r.size),m=new FileReader({blob:!0}),g=!c.acceptTypes.length&&!c.acceptExtentions.length;if(!g)for(var f in c.acceptTypes)if(new RegExp("^"+c.acceptTypes[f]+"$","gi").test(l)){g=!0;break}if(!g)for(var h in c.acceptExtentions)if(d===c.acceptExtentions[h]){g=!0;break}if(g)c.settings.onstart(r),c.showProgress(),c.domCount&&(c.domCount.innerText=c.queueUploadedCount+1),1===c.queueCount?(c.domProgress&&c.domProgress.removeAttribute("value"),c.domCountWrapper&&(c.domCountWrapper.style.display="none")):c.domCountWrapper&&(c.domCountWrapper.style.display=c.domCountWrapperDisplay),m.addEventListener("load",function(e){c.request.onreadystatechange=function(){switch(c.request.status){case 200:if(4==c.request.readyState){s("Uploaded "+i+" ("+a(p)+")"),c.queue.shift(),c.queueUploadedCount++,c.queueUploadedSize+=p;var e=JSON.parse(c.request.responseText);c.queue.length?(c.multiple?c.uploaded.push(e):c.uploaded=[e.form_value],c.updateUploadedList(),window.twistdebug&&window.twistdebug.logFileUpload(r,e),c.settings.oncompletefile(e,r),c.upload()):(c.hideProgress(),s("Finsihed uploading "+c.queueUploadedCount+" files ("+a(c.queueUploadedSize)+")","info"),c.queueCount=0,c.queueSize=0,c.queueUploadedCount=0,c.queueUploadedSize=0,c.clearInput(),c.multiple?c.uploaded.push(e):c.uploaded=[e],c.updateUploadedList(),window.twistdebug&&window.twistdebug.logFileUpload(r,e),c.settings.oncompletefile(e,r),c.settings.oncompletequeue())}break;case 403:s("Permission denied","error"),c.queue.shift(),c.queueCount--,c.queueSize--,c.settings.onerror(r),c.queue.length?c.upload():c.hideProgress();break;case 404:s("Invalid function call","error"),c.queue.shift(),c.queueCount--,c.queueSize--,c.settings.onerror(r),c.queue.length?c.upload():c.hideProgress()}},c.request.onprogress=function(e){if(e.lengthComputable){if(c.domProgress){var t=Math.round(e.loaded/e.total*100);c.domProgress.value=t,s(a(e.loaded)+"/"+a(e.total)+" ("+t+"%)")}c.settings.onprogress(r,e.loaded,e.total)}},c.request.upload.onprogress=c.request.onprogress,c.request.addEventListener("load",function(){},!1),c.request.addEventListener("error",function(){c.queue.length&&(c.hideProgress(),c.queue=[],c.queueCount=0,c.queueSize=0,c.queueUploadedCount=0,c.queueUploadedSize=0,c.settings.onerror(r),s("An error occurred","error"))},!1),c.request.addEventListener("abort",function(){c.queue.length&&(c.hideProgress(),c.queue=[],c.queueCount=0,c.queueSize=0,c.queueUploadedCount=0,c.queueUploadedSize=0,c.settings.onabort(r),s("Upload aborted","warning"))},!1),c.request.open("PUT",c.uri,!0),c.request.setRequestHeader("Accept",'"text/plain; charset=iso-8859-1", "Content-Type": "text/plain; charset=iso-8859-1"'),c.request.setRequestHeader("Twist-File",i),c.request.setRequestHeader("Twist-Length",p),c.request.setRequestHeader("Twist-UID",c.uid),c.request.send(m.result)}),m.readAsArrayBuffer(r);else{var q=c.queue.shift();c.domInput.value="",c.settings.oninvalidtype(q,c.acceptTypes,c.acceptExtentions),s(i+" ("+l+") is not in the list of allowed types","warn"),c.acceptTypes.length&&s("Allowed MIME types: "+c.acceptTypes.join(", ")),c.acceptExtentions.length&&s("Allowed file extensions: "+c.acceptExtentions.join(", ")),alert(c.settings.invalidtypemessage),c.clearInput()}}}catch(e){c.hideProgress(),c.settings.onerror(c.queue[0]),c.settings.onabort(c.queue[0]),c.queue=[],c.queueCount=0,c.queueSize=0,c.queueUploadedCount=0,c.queueUploadedSize=0,s(e,"error")}},this.uploaded=[],this.uri="/"+t.replace(/^\//,"").replace(/\/$/,"");for(var m in o)c.settings[m]=o[m];if(c.domPseudo&&c.domPseudo.value&&""!==c.domPseudo.value&&(c.uploaded=c.domPseudo.value.split(",")||[]),n=!0===c.settings.debug,c.domCountWrapper&&!c.settings.counter&&(c.domCountWrapper.style.display="none"),c.domCancelUpload&&!c.settings.abortable&&(c.domCancelUpload.style.display="none"),c.hideProgress(),null!==c.settings.dragdrop){var g=document.getElementById(c.settings.dragdrop);g&&(g.ondrop=function(e){e.preventDefault(),c.upload(e,e.target.files||e.dataTransfer.files),i(g,c.settings.hoverclass),i(g,c.settings.dropableclass)},g.ondragstart=function(){return r(g,c.settings.dropableclass),!1},g.ondragover=function(){return r(g,c.settings.hoverclass),!1},g.ondragleave=function(){return i(g,c.settings.hoverclass),!1},g.ondragend=function(){return i(g,c.settings.hoverclass),i(g,c.settings.dropableclass),!1})}var f=c.domInput?c.domInput.getAttribute("accept"):"";if(f){var h=f.replace(/ /g,"").split(",");if(h.length)for(var q in h)"."===h[q].substr(0,1)?c.acceptExtentions.push(h[q].substr(1).toLowerCase()):c.acceptTypes.push(h[q].replace(/\//g,"\\/").replace(/\*/g,".*")),c.acceptRaw.push(h[q])}if(!d)return c.hideProgress(),s("Your browser does not support AJAX uploading","warn",!0),null;if(!c.domInput)throw'No element exists with id="'+e+'"';return c.domPseudo&&(c.domPseudo.name=c.domInput.name.replace("[]",""),c.domInput.removeAttribute("name")),c.domInput.addEventListener("change",c.upload),!0};return function(t,o,n){return new e(t,o,n)}});